"""Migration File"""
# pylint: disable=C0103
# Generated by Django 4.2.10 on 2024-04-08 14:04

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):
    """Migration Class"""

    dependencies = [
        ('netbox_rps_plugin', '0013_alter_mapping_client_max_body_size'),
    ]

    operations = [
        migrations.AddField(
            model_name='mapping',
            name='proxy_buffer',
            field=models.IntegerField(default=16, validators=[django.core.validators.MinValueValidator(16), django.core.validators.MaxValueValidator(512)]),
        ),
        migrations.AddField(
            model_name='mapping',
            name='proxy_buffer_size',
            field=models.IntegerField(default=4, validators=[django.core.validators.MinValueValidator(4), django.core.validators.MaxValueValidator(128)]),
        ),
        migrations.AddField(
            model_name='mapping',
            name='proxy_busy_buffer',
            field=models.IntegerField(default=8, validators=[django.core.validators.MinValueValidator(8), django.core.validators.MaxValueValidator(256)]),
        ),
    ]
